# Search shares Lists shares created by the authenticated user, with optional inclusion of revoked shares and pagination. Request: includeRevoked - When true, includes shares with REVOKED status in the results. pagination - Optional Pagination cursor and page size. Response: shareItems - List of ShareItem objects matching the filter. nextPageCursor - Opaque cursor for the next page. Absent when there are no further results. Endpoint: POST /api/v1/share/list Version: 3.0 Security: bearerAuth ## Request fields (application/json): - `includeRevoked` (boolean) - `pagination` (object) - `pagination.pageCursor` (string) Rule data fields - `pagination.maxSize` (integer) ## Response 200 fields (application/json): - `shareItems` (array) - `shareItems.id` (string) Rule data fields - `shareItems.users` (array) - `shareItems.users.email` (string) Rule data fields - `shareItems.users.accessLevel` (integer) Enum: 0, 1 - `shareItems.expiryTime` (object) - `shareItems.expiryTime.seconds` (integer) - `shareItems.expiryTime.nanos` (integer) - `shareItems.documentIds` (array) - `shareItems.siteId` (string) Rule data fields - `shareItems.createdAt` (object) - `shareItems.status` (integer) Enum: 0, 1, 2 - `nextPageCursor` (string) Rule data fields ## Response 400 fields (application/json): - `message` (string) ## Response 401 fields (application/json): - `message` (string) ## Response 403 fields (application/json): - `message` (string) ## Response 404 fields (application/json): - `message` (string) ## Response 409 fields (application/json): - `message` (string) ## Response 429 fields (application/json): - `message` (string) ## Response 499 fields (application/json): - `message` (string) ## Response 500 fields (application/json): - `message` (string) ## Response 501 fields (application/json): - `message` (string) ## Response 503 fields (application/json): - `message` (string) ## Response 504 fields (application/json): - `message` (string)